%define		_state		stable
%define		orgname		kdegraphics-thumbnailers
%define		qtver		4.8.1

Summary:	K Desktop Environment - Thumbnailers for various graphic types
Name:		kde4-kdegraphics-thumbnailers
Version:	4.14.3
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	5291fe005af45fd1ac8818d4a09fbe5d
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-libkdcraw-devel >= %{version}
BuildRequires:	kde4-libkexiv2-devel >= %{version}
Obsoletes:	kde4-kdegraphics-kfile < 4.6.99
Obsoletes:	kdegraphics-thumbnailers <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Thumbnailers for various graphic types.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/gsthumbnail.so
%attr(755,root,root) %{_libdir}/kde4/rawthumbnail.so
%{_datadir}/kde4/services/gsthumbnail.desktop
%{_datadir}/kde4/services/rawthumbnail.desktop
%changelog
* Fri Nov 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kdegraphics-thumbnailers.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> db373c8
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> bcf34af
- up to 4.14.2

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 67f75d4
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e0aed06
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0f6762b
- updated to 4.13.1 (by update-kde4.sh)

* Thu Apr 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f4ea979
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c974cd6
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d96550d
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f14a9ea
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 092e67a
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 26 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 14fccb1
- up to 4.12.0

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 21cbe3a
- updated to 4.10.4 (by update-kde4.sh)

* Fri Mar 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c36402
- up to 4.10.1

* Thu Jan 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d2e235
- up to 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 4a7f745
- updated to 4.9.4

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 527c253
- updated to 4.9.1.

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ae50f22
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> fc982bd
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 95dd46a
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3a973c3
- up to 4.8.2

